#ifndef _3DUNIT_H
#define _3DUNIT_H

#include "3dStructs.h"

class C3dUnit
{
    private:
        char sName[9];                /* Name of the unit (=> filename etc. )*/
        bool b3dModelLoaded;          /* Set if model loaded */
        void Init();                  /* Sets initial values of variables */        
        C3dModel CModel;              /* Contains the 3d model data */ 
    public:
        C3dUnit( char* );
        C3dUnit( void );
        void Import3ds( void );
        void Draw( int );
        void PrintProperties( void );        
};

#endif 
